/* Style Changer */
jQuery(document).ready(function(){

var pad = function(num, totalChars) {
    var pad = '0';
    num = num + '';
    while (num.length < totalChars) {
        num = pad + num;
    }
    return num;
};

// Ratio is between 0 and 1
var changeColor = function(color, ratio, darker) {
    // Trim trailing/leading whitespace
    color = color.replace(/^\s*|\s*$/, '');

    // Expand three-digit hex
    color = color.replace(
        /^#?([a-f0-9])([a-f0-9])([a-f0-9])$/i,
        '#$1$1$2$2$3$3'
    );

    // Calculate ratio
    var difference = Math.round(ratio * 256) * (darker ? -1 : 1),
        // Determine if input is RGB(A)
        rgb = color.match(new RegExp('^rgba?\\(\\s*' +
            '(\\d|[1-9]\\d|1\\d{2}|2[0-4][0-9]|25[0-5])' +
            '\\s*,\\s*' +
            '(\\d|[1-9]\\d|1\\d{2}|2[0-4][0-9]|25[0-5])' +
            '\\s*,\\s*' +
            '(\\d|[1-9]\\d|1\\d{2}|2[0-4][0-9]|25[0-5])' +
            '(?:\\s*,\\s*' +
            '(0|1|0?\\.\\d+))?' +
            '\\s*\\)$'
        , 'i')),
        alpha = !!rgb && rgb[4] != null ? rgb[4] : null,

        // Convert hex to decimal
        decimal = !!rgb? [rgb[1], rgb[2], rgb[3]] : color.replace(
            /^#?([a-f0-9][a-f0-9])([a-f0-9][a-f0-9])([a-f0-9][a-f0-9])/i,
            function() {
                return parseInt(arguments[1], 16) + ',' +
                    parseInt(arguments[2], 16) + ',' +
                    parseInt(arguments[3], 16);
            }
        ).split(/,/),
        returnValue;

    // Return RGB(A)
    return !!rgb ?
        'rgb' + (alpha !== null ? 'a' : '') + '(' +
            Math[darker ? 'max' : 'min'](
                parseInt(decimal[0], 10) + difference, darker ? 0 : 255
            ) + ', ' +
            Math[darker ? 'max' : 'min'](
                parseInt(decimal[1], 10) + difference, darker ? 0 : 255
            ) + ', ' +
            Math[darker ? 'max' : 'min'](
                parseInt(decimal[2], 10) + difference, darker ? 0 : 255
            ) +
            (alpha !== null ? ', ' + alpha : '') +
            ')' :
        // Return hex
        [
            '#',
            pad(Math[darker ? 'max' : 'min'](
                parseInt(decimal[0], 10) + difference, darker ? 0 : 255
            ).toString(16), 2),
            pad(Math[darker ? 'max' : 'min'](
                parseInt(decimal[1], 10) + difference, darker ? 0 : 255
            ).toString(16), 2),
            pad(Math[darker ? 'max' : 'min'](
                parseInt(decimal[2], 10) + difference, darker ? 0 : 255
            ).toString(16), 2)
        ].join('');
};
var lighterColor = function(color, ratio) {
    return changeColor(color, ratio, false);
};
var darkerColor = function(color, ratio) {
    return changeColor(color, ratio, true);
};



//alternate color manipulation code
function ColorLuminance(hex, lum) {
	// validate hex string
	hex = String(hex).replace(/[^0-9a-f]/gi, '');
	if (hex.length < 6) {
		hex = hex[0]+hex[0]+hex[1]+hex[1]+hex[2]+hex[2];
	}
	lum = lum || 0;
	// convert to decimal and change luminosity
	var rgb = "#", c, i;
	for (i = 0; i < 3; i++) {
		c = parseInt(hex.substr(i*2,2), 16);
		c = Math.round(Math.min(Math.max(0, c + (c * lum)), 255)).toString(16);
		rgb += ("00"+c).substr(c.length);
	}
	return rgb;
}
/*
ColorLuminance("#69c", 0);		// returns "#6699cc"
ColorLuminance("6699CC", 0.2);	// "#7ab8f5" - 20% lighter
ColorLuminance("69C", -0.5);	// "#334d66" - 50% darker
ColorLuminance("000", 1);		// "#000000" - true black cannot be made lighter!
*/



/*//////////////////////////////////////////////////////////////////////////
 Selection Scheme //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger .hdrStBgs .hdrCols span').click(function(){
var hdrCol = jQuery(this).attr('title');
jQuery('#stlChanger .hdrStBgs .hdrCols span').removeClass('current');
jQuery(this).addClass('current');
return false;
});


/*//////////////////////////////////////////////////////////////////////////
 Selection Fonts //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('select#font-body-selection').change(function(){
var val = jQuery('select#font-body-selection').val();
jQuery("#cFontStyleWColor_bodyfont").text('body,.sf-menu a span.menu-description { font-family:'+ val +' !important; }');
//alert('body font ok');
WebFontConfig = {
google: { families: [ ''+ val +'' ] }
};
(function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
            '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
      })();
        });


jQuery('select#font-title-selection').change(function(){
var val2 = jQuery('select#font-title-selection').val();
jQuery("#cFontStyleWColor_headfont").text('h1,h2,h3,h4,h5,h6,.header-title,#main-navigation, #featured #featured-title, #cf .tinput, #wp-calendar caption,.flex-caption h1,#portfolio-filter li,.nivo-caption a.read-more,.form-submit #submit,.fbottom,ol.commentlist li div.comment-post-meta, .home-post span.post-category a,ul.tabbernav li a { font-family:'+ val2 +' !important; }');
//alert('headline font ok');
WebFontConfig = {
google: { families: [ ''+ val2 +'' ] }
};
(function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
            '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
      })();
        });

jQuery('select#font-nav-selection').change(function(){
var val3 = jQuery('select#font-nav-selection').val();
jQuery("#cFontStyleWColor_navfont").text('#main-navigation, .sf-menu li a { font-family:'+ val3 +' !important; }');
//alert('navigation font ok');
WebFontConfig = {
google: { families: [ ''+ val3 +'' ] }
};
(function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
            '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
      })();
        });



/*//////////////////////////////////////////////////////////////////////////
 Top Nav Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_topnav').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_topnav').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_topnav').text('')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_topnav').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_topnav').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_topnav').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
 Header Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_header').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;

jQuery('#stlChanger').find('#cFontWColor_header').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_header').text('#header {background-color: '+ ihex +';text-shadow: 0 0 1px '+ dark2 +';}')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_header').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_header').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_header').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
 Main Navigation Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_mainnav').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_mainnav').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_mainnav').text('#main-navigation {background: '+ ihex +';background: -moz-linear-gradient(top, '+ ihex +' 0%, '+ dark2 +' 100%);background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,'+ ihex +'), color-stop(100%,'+ dark2 +'));background: -webkit-linear-gradient(top,  '+ ihex +' 0%,'+ dark2 +' 100%);background: -o-linear-gradient(top,  '+ ihex +' 0%,'+ dark2 +' 100%);background: -ms-linear-gradient(top,  '+ ihex +' 0%,'+ dark2 +' 100%);background: linear-gradient(to bottom,  '+ ihex +' 0%,'+ dark2 +' 100%);filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="'+ ihex +'", endColorstr="'+ dark2 +'",GradientType=0 ); }.sf-menu a {color: #fff;border-right: 1px solid '+ dark3 +';}.sf-menu li li a { color: '+ light7 +' !important; }.sf-menu a span.menu-decsription {color: #fff;}.sf-menu .current_page_item a span.menu-decsription, .sf-menu .current_menu_item a span.menu-decsription, .sf-menu .current-menu-item a span.menu-decsription { color: #fff; }.sf-menu ul  {background: '+ dark2 +' none !important;box-shadow: 0 2px 3px '+ dark5 +';}.sf-menu li li,.sf-menu li li li {border-bottom: 1px solid '+ dark3 +' !important;}')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_mainnav').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_mainnav').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_mainnav').attr('title'));
}
});

/*//////////////////////////////////////////////////////////////////////////
 Secondary Navigation Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_secnav').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_secnav').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_secnav').text('#main-navigation { border-bottom: 5px solid '+ ihex +'; }.sf-menu .current_page_item a, .sf-menu .current_menu_item a, .sf-menu .current-menu-item a,.sf-menu .current_page_item a:hover, .sf-menu .current_menu_item a:hover, .sf-menu .current-menu-item a:hover {background: '+ ihex +';}')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_secnav').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_secnav').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_secnav').attr('title'));
}
});


/*//////////////////////////////////////////////////////////////////////////
 Sidebar Header Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_sidebar').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_sidebar').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_sidebar').text('')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_sidebar').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_sidebar').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_sidebar').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
 Footer Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_footer').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_footer').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_footer').text('#custom .footer-top {background-color: '+ ihex +';}#custom .footer-bottom {background-color: '+ dark2 +';}footer .ftop a, #custom .fbottom a {color: #fff;}footer .textwidget a, footer .twitterbox a {color: '+ light6 +' !important;}#custom footer .ftop a:hover, #custom .fbottom a:hover {text-decoration:underline !important;color: #fff;}footer { text-shadow: 0 1px 1px '+ dark2 +'; }.ftop .widget caption { background: '+ dark2 +' !important; }footer .ftop h3.widget-title  {color: '+ light6 +';}.fbottom, .ftop, .ftop div.textwidget {color: #FFFFFF;}')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_footer').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_footer').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_footer').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
 Top Nav Color - Gradient //////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_topnav_gradient').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;

jQuery('#stlChanger').find('#cFontWColor_topnav_gradient').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_topnav').text('')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_topnav_gradient').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_topnav_gradient').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_topnav_gradient').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
 Header Color - Gradient ///////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_header_gradient').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_header_gradient').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_header_gradient').text('')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_header_gradient').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_header_gradient').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_header_gradient').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
 Main Navigation Color - Gradient //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_mainnav_gradient').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_mainnav_gradient').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_mainnav_gradient').text('')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_mainnav_gradient').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_mainnav_gradient').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_mainnav_gradient').attr('title'));
}
});


/*//////////////////////////////////////////////////////////////////////////
 Sidebar Header Color - Gradient ///////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_sidebar_gradient').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_sidebar_gradient').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_sidebar_gradient').text('')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_sidebar_gradient').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_sidebar_gradient').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_sidebar_gradient').attr('title'));
}
});









/*//////////////////////////////////////////////////////////////////////////
Main Links Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_links').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_links').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_links').text('span.single-post-category {background: none repeat scroll 0 0 '+ ihex +';}.post-nav-archive a, #commentpost a,#author-bio a,#post-entry .post-content a, #post-entry article h1.post-title a:hover,#post-entry article .post-meta a:hover,#right-sidebar aside li a:hover, #right-sidebar aside div a:hover,#right-sidebar table a,#right-sidebar .twitterbox a { color: '+ ihex +'; }#commentpost small a { color: #888 !important; }.wp-pagenavi .current {background: none repeat scroll 0 0 '+ ihex +';border: 1px solid '+ ihex +';}')},

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_links').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_links').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_links').attr('title'));
}
});




/*//////////////////////////////////////////////////////////////////////////
Main Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_sec').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){

var dark1 = darkerColor('#' + hex, .1);
var dark2 = darkerColor('#' + hex, .2);
var dark3 = darkerColor('#' + hex, .3);
var dark4 = darkerColor('#' + hex, .4);
var dark5 = darkerColor('#' + hex, .5);
var dark6 = darkerColor('#' + hex, .6);
var dark7 = darkerColor('#' + hex, .7);
var dark8 = darkerColor('#' + hex, .8);
var dark9 = darkerColor('#' + hex, .9);

var light1 = lighterColor('#' + hex, .1);
var light2 = lighterColor('#' + hex, .2);
var light3 = lighterColor('#' + hex, .3);
var light4 = lighterColor('#' + hex, .4);
var light5 = lighterColor('#' + hex, .5);
var light6 = lighterColor('#' + hex, .6);
var light7 = lighterColor('#' + hex, .7);
var light8 = lighterColor('#' + hex, .8);
var light9 = lighterColor('#' + hex, .9);

var ihex = '#' + hex;


jQuery('#stlChanger').find('#cFontWColor_sec').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_sec').text('') },

onSubmit:function(hsb, hex, rgb, el){

jQuery(el).find('#cFontWColor_sec').css({backgroundColor:'#' + hex});
jQuery(el).find('#cFontWColor_sec').attr({title:hex});

jQuery(el).ColorPickerHide();
},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_sec').attr('title'));
}
});


/*//////////////////////////////////////////////////////////////////////////
 Background Color //////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////*/
jQuery('#stlChanger #cFontWColor_bg').parent('a').ColorPicker({
onChange:function(hsb, hex, rgb){
jQuery('body').removeAttr('style');
//jQuery('#post-entry').addClass('content-click');

jQuery('#stlChanger').find('#cFontWColor_bg').css({backgroundColor:'#' + hex});

jQuery('#cFontStyleWColor_bg').text('');

},

onSubmit:function(hsb, hex, rgb, el){
			jQuery('body').removeAttr('style');
			jQuery('#cFontStyleWColor_bg').text('body {background:#' + hex + ';}');
			jQuery(el).find('#cFontWColor_bg').css({background:'#' + hex});
			jQuery(el).find('#cFontWColor_bg').attr({title:hex});
			jQuery(el).ColorPickerHide();
		},
onBeforeShow:function(){
jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#cFontWColor_bg').attr('title'));
}
});


///////////////////////////////////////////////////////////////////////////////
// background images
///////////////////////////////////////////////////////////////////////////////
jQuery('#stlChanger .stBgs a').click(function(){
var bgBgCol = jQuery(this).attr('href');
//jQuery('#post-entry').addClass('content-click');
jQuery('#stlChanger .stBgs a').removeClass('current');
//jQuery('body').css({backgroundColor:'#ffffff'});
jQuery(this).addClass('current');

jQuery('body').css({backgroundImage:'url(' + bgBgCol + ')'});

if (jQuery(this).hasClass('bg_t')){
jQuery('body').css({backgroundRepeat:'no-repeat', backgroundPosition:'50% 50%', backgroundAttachment:'fixed'});
} else {
jQuery('body').css({backgroundRepeat:'repeat', backgroundPosition:'50% 0', backgroundAttachment:'fixed'});
}
return false;
});
	


///////////////////////////////////////////////////////////////////////////////
// background pattern
///////////////////////////////////////////////////////////////////////////////
jQuery('#stlChanger .stBgsp a').click(function(){
var bgBgCol = jQuery(this).attr('href');
//jQuery('#post-entry').addClass('content-click');
jQuery('#stlChanger .stBgsp a').removeClass('current');
//jQuery('body').css({backgroundColor:'#ffffff'});
jQuery(this).addClass('current');

jQuery('body').css({backgroundImage:'url(' + bgBgCol + ')'});
jQuery('body').css({backgroundRepeat:'repeat', backgroundPosition:'0% 0%', backgroundAttachment:'fixed'});

return false;
});




///////////////////////////////////////////////////////////////////////////////
// Style Changer Box JS
///////////////////////////////////////////////////////////////////////////////
if (jQuery(window).height() < 600){ jQuery('#stlChanger').css({position:'absolute'}); }

/* Style Changer Autohide */
jQuery('.chBut').parent().delay(1000).animate({left:'-120px'}, 500, function(){
jQuery(this).find('.chBut').next('.chBody').css({display:'none'});
jQuery(this).find('.chBut').addClass('closed');
});

/* Style Changer Toggle */
jQuery('.chBut').click(function(){
if (jQuery(this).hasClass('closed')){
jQuery(this).next('.chBody').css({display:'block'}).parent().animate({left:0}, 500, function(){
jQuery(this).find('.chBut').removeClass('closed');
});
} else {
jQuery(this).parent().animate({left:'-120px'}, 500, function(){
jQuery(this).find('.chBut').next('.chBody').css({display:'none'});
jQuery(this).find('.chBut').addClass('closed');
});
}
return false;
});

jQuery(window).resize(function(){
if (jQuery(window).height() < 600){
jQuery('#stlChanger').css({position:'absolute'});
} else {
jQuery('#stlChanger').css({position:'fixed'});
}
});
});
