<?php get_header(); ?>

<?php do_action( 'bp_before_content' ) ?>
<!-- CONTENT START -->
<div id="single-content" class="content">
<div class="content-inner">

<?php do_action( 'bp_before_blog_home' ) ?>

<!-- POST ENTRY START -->
<div id="post-entry">
<section class="post-entry-inner">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<!-- POST START -->
<article <?php post_class('post-single'); ?> id="post-<?php the_ID(); ?>">

<div class="post-top">
<h1 class="post-title"><?php the_title(); ?></h1>
<?php get_template_part( 'lib/templates/post-meta' ); ?>
<div class="sharebox-wrap">
<?php get_template_part( 'lib/templates/share-box' ); ?>
</div>
</div>

<div class="post-content">
<?php the_content( __('...more &raquo;',TEMPLATE_DOMAIN) ); ?>
<?php get_template_part( 'lib/templates/post-meta-bottom' ); ?>  
</div>

<?php get_template_part( 'lib/templates/related-by-tags' ); ?>
</article>
<!-- POST END -->

<?php set_wp_post_view( get_the_ID() ); ?>

<?php endwhile; ?>

<?php get_template_part( 'lib/templates/author-bio' ); ?>

<?php if ( comments_open() ) { comments_template( '', true ); }  ?>

<?php else : ?>

<?php get_template_part( 'lib/templates/result' ); ?>

<?php endif; ?>

<?php get_template_part( 'lib/templates/paginate' ); ?>

</section>
</div>
<!-- POST ENTRY END -->

<?php do_action( 'bp_after_blog_home' ) ?>

</div><!-- CONTENT INNER END -->
</div><!-- CONTENT END -->

<?php do_action( 'bp_after_content' ) ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>